Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(55)

Unified Diff: tools/merge-to-branch.sh

Issue 138963006: Fix tree check in merge-to-branch script. (Closed) Base URL: https://v8.googlecode.com/svn/branches/bleeding_edge
Patch Set: Created 6 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tools/merge-to-branch.sh
diff --git a/tools/merge-to-branch.sh b/tools/merge-to-branch.sh
index 2df24c1ad57c5c7f85f9a0496f7fe036828a38ee..175567e97fed58a7fd18207300ee1e7d628feb03 100755
--- a/tools/merge-to-branch.sh
+++ b/tools/merge-to-branch.sh
@@ -243,7 +243,9 @@ if [ $START_STEP -le $CURRENT_STEP ] ; then
git checkout $BRANCHNAME \
|| die "cannot ensure that the current branch is $BRANCHNAME"
wait_for_lgtm
- PRESUBMIT_TREE_CHECK="skip" git cl dcommit \
+ PRESUBMIT_TREE_CHECK="skip" git cl presubmit \
+ || die "presubmit failed"
+ PRESUBMIT_TREE_CHECK="skip" git cl dcommit --bypass-hooks \
|| die "failed to commit to $MERGE_TO_BRANCH"
fi
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698